package envoy.client.event;

import envoy.data.User;
import envoy.data.User.UserStatus;
import envoy.event.Event;

/**
 * Conveys the action that the currently logged in {@link User} has changed his
 * status (manually).
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.3-beta
 */
public class OwnStatusChange extends Event<UserStatus> {

	private static final long serialVersionUID = 1L;

	/**
	 * @param value the new user status of the currently logged in user
	 * @since Envoy Client v0.3-beta
	 */
	public OwnStatusChange(UserStatus value) { super(value); }
}
